complexType "ds:X509DataType"

Namespace: | http://www.w3.org/2000/09/xmldsig#
Content: | complex, 5 elements, elem. wildcard
Defined: | globally in xmldsig-core-schema.xsd; see XML source
Includes: | definitions of 5 elements, elem. wildcard
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | (ds:X509IssuerSerial | ds:X509SKI | ds:X509SubjectName | ds:X509Certificate | ds:X509CRL | {any})+
</...>

Content Model Elements (5):

  ds:X509Certificate, ds:X509CRL, ds:X509IssuerSerial, ds:X509SKI, ds:X509SubjectName

All Direct / Indirect Based Elements (1):

  ds:X509Data

Known Usage Locations

- As direct type of elements (1):
  ds:X509Data

XML Source (see within schema source)

<complexType name="X509DataType"> <sequence maxOccurs="unbounded"> <choice> <element name="X509IssuerSerial" type="ds:X509IssuerSerialType"/> <element name="X509SKI" type="base64Binary"/> <element name="X509SubjectName" type="string"/> <element name="X509Certificate" type="base64Binary"/> <element name="X509CRL" type="base64Binary"/> <any namespace="##other" processContents="lax"/> </choice> </sequence> </complexType>

Content Element Detail (all declarations; defined within this component only; 6/6)
ds:X509Certificate

  Type: | base64Binary, predefined, simple content

  XML Source (see within schema source)

  <element name="X509Certificate" type="base64Binary"/>

ds:X509CRL

  Type: | base64Binary, predefined, simple content

  XML Source (see within schema source)

  <element name="X509CRL" type="base64Binary"/>

ds:X509IssuerSerial

  Type: | ds:X509IssuerSerialType, complex content

  XML Source (see within schema source)

  <element name="X509IssuerSerial" type="ds:X509IssuerSerialType"/>

ds:X509SKI

  Type: | base64Binary, predefined, simple content

  XML Source (see within schema source)

  <element name="X509SKI" type="base64Binary"/>

ds:X509SubjectName

  Type: | string, predefined, simple content

  XML Source (see within schema source)

  <element name="X509SubjectName" type="string"/>

{any element with non-schema namespace}

  XML Source (see within schema source)

  <any namespace="##other" processContents="lax"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.